import httpInstance from '@/utils/request.js'

const callOperate = (url, parmas = {}, method = "post") => {
  return httpInstance({
    baseURL: '/operate',
    url: url,
    method: method,
    data: parmas
  })
}

const callUser = (url, parmas = {}, method = "post") => {
  return httpInstance({
    baseURL: '/user',
    url: url,
    method: method,
    data: parmas
  })
}

const callOrder = (url, parmas = {}, method = "post") => {
  return httpInstance({
    baseURL: '/order',
    url: url,
    method: method,
    data: parmas
  })
}

export { callOperate, callUser, callOrder }
